<?php
    session_start();
    ob_start();
    include "../db.php";
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">

    <link rel="stylesheet" href="/style.css">
    <title>Login</title>

    <style>
    /* sign in FORM */
    #logreg-forms {
        width: 412px;
        margin: 10vh auto;
        background-color: #f3f3f3;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
        transition: all 0.3s cubic-bezier(.25, .8, .25, 1);
    }

    #logreg-forms form {
        width: 100%;
        max-width: 410px;
        padding: 15px;
        margin: auto;
    }

    #logreg-forms .form-control {
        position: relative;
        box-sizing: border-box;
        height: auto;
        padding: 10px;
        font-size: 16px;
    }

    #logreg-forms .form-control:focus {
        z-index: 2;
    }

    #logreg-forms .form-signin input[type="email"] {
        margin-bottom: -1px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    #logreg-forms .form-signin input[type="password"] {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

    #logreg-forms .social-login {
        width: 390px;
        margin: 0 auto;
        margin-bottom: 14px;
    }

    #logreg-forms .social-btn {
        font-weight: 100;
        color: white;
        width: 190px;
        font-size: 0.9rem;
    }

    #logreg-forms a {
        display: block;
        padding-top: 10px;
        color: lightseagreen;
    }

    #logreg-form .lines {
        width: 200px;
        border: 1px solid red;
    }


    #logreg-forms button[type="submit"] {
        margin-top: 10px;
    }

    #logreg-forms .facebook-btn {
        background-color: #3C589C;
    }

    #logreg-forms .google-btn {
        background-color: #DF4B3B;
    }

    #logreg-forms .form-reset,
    #logreg-forms .form-signup {
        display: none;
    }

    #logreg-forms .form-signup .social-btn {
        width: 210px;
    }

    #logreg-forms .form-signup input {
        margin-bottom: 2px;
    }

    .form-signup .social-login {
        width: 210px !important;
        margin: 0 auto;
    }

    /* Mobile */

    @media screen and (max-width:500px) {
        #logreg-forms {
            width: 300px;
        }

        #logreg-forms .social-login {
            width: 200px;
            margin: 0 auto;
            margin-bottom: 10px;
        }

        #logreg-forms .social-btn {
            font-size: 1.3rem;
            font-weight: 100;
            color: white;
            width: 200px;
            height: 56px;

        }

        #logreg-forms .social-btn:nth-child(1) {
            margin-bottom: 5px;
        }

        #logreg-forms .social-btn span {
            display: none;
        }

        #logreg-forms .facebook-btn:after {
            content: 'Facebook';
        }

        #logreg-forms .google-btn:after {
            content: 'Google+';
        }
    }
    </style>
</head>
<body>
    <div id="logreg-forms">
        <form class="form-signin" method="post">
            <h1 class="h3 mb-3 font-weight-normal" style="text-align: center"> Sign in</h1>
            <!--<div class="social-login">-->
            <!--    <button class="btn facebook-btn social-btn" type="button"><span><i class="fab fa-facebook-f"></i> Sign in with Facebook</span> </button>-->
            <!--    <button class="btn google-btn social-btn" type="button"><span><i class="fab fa-google-plus-g"></i> Sign in with Google+</span> </button>-->
            <!--</div>-->

            <!--<p style="text-align:center"> OR </p>-->

            <input type="text" maxlength="10" name="uphone" id="inputEmail" class="form-control" placeholder="Mobile Number" required="" autofocus="" onkeypress='validate(event)'>
            <input type="password" name="upass" id="inputPassword" class="form-control" placeholder="Password" required="">

            <button class="btn btn-success btn-block" type="submit" name="login_button"><i class="fas fa-sign-in-alt"></i> Sign in</button>

            <a href="#" id="forgot_pswd">Forgot password?</a>

            <hr>

            <!--<button class="btn btn-primary btn-block" type="button" id="btn-signup"><i class="fas fa-user-plus"></i> Sign up New Account</button>-->
        </form>

        <form method="post" class="form-reset">
            <input type="text" id="resetEmail" class="form-control" placeholder="Mobile Number" name="uphone" required="" autofocus="">
            <button class="btn btn-primary btn-block" type="submit" name="reset_pass">Reset Password</button>
            <a href="#" id="cancel_reset"><i class="fas fa-angle-left"></i> Back</a>
        </form>

        <form class="form-signup" method="post">
            <!-- <div class="social-login">
                <button class="btn facebook-btn social-btn" type="button"><span><i class="fab fa-facebook-f"></i> Sign up with Facebook</span> </button>
            </div>
            <div class="social-login">
                <button class="btn google-btn social-btn" type="button"><span><i class="fab fa-google-plus-g"></i> Sign up with Google+</span> </button>
            </div>

            <p style="text-align:center">OR</p> -->

            <input type="text" id="user-name" class="form-control" placeholder="Full name" required="" autofocus="">
            <input type="email" id="user-email" class="form-control" placeholder="Email address" required autofocus="">
            <input type="password" id="user-pass" class="form-control" placeholder="Password" required autofocus="">
            <input type="password" id="user-repeatpass" class="form-control" placeholder="Repeat Password" required
                autofocus="">

            <button class="btn btn-primary btn-block" type="submit"><i class="fas fa-user-plus"></i> Sign Up</button>
            <a href="#" id="cancel_signup"><i class="fas fa-angle-left"></i> Back</a>
        </form>
        <br>
    </div>


    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
    <script src="/script.js"></script>
</body>
</html>

<script>
    function toggleResetPswd(e) {
        e.preventDefault();
        $('#logreg-forms .form-signin').toggle()
        $('#logreg-forms .form-reset').toggle()
    }function toggleSignUp(e) {
        e.preventDefault();
        $('#logreg-forms .form-signin').toggle();
        $('#logreg-forms .form-signup').toggle();
    }function validate(evt) {
        var theEvent = evt || window.event;
        if (theEvent.type === 'paste') {
            key = event.clipboardData.getData('text/plain');
        } else {
            var key = theEvent.keyCode || theEvent.which;
            key = String.fromCharCode(key);
        }
        var regex = /[0-9]|\./;
        if (!regex.test(key)) {
            theEvent.returnValue = false;
            if (theEvent.preventDefault) theEvent.preventDefault();
        }
    }$(() => {
        $('#logreg-forms #forgot_pswd').click(toggleResetPswd);
        $('#logreg-forms #cancel_reset').click(toggleResetPswd);
        $('#logreg-forms #btn-signup').click(toggleSignUp);
        $('#logreg-forms #cancel_signup').click(toggleSignUp);
    })
</script>
<?php

if(isset($_POST['login_button'])) {

    $uphone = mysqli_real_escape_string($con, strip_tags($_POST['uphone']));
    $upass = mysqli_real_escape_string($con, strip_tags($_POST['upass']));

    $l_sql = "SELECT uid, uname, uphone, upass, utype, uref FROM users WHERE uphone = '$uphone'";
    $l_run = mysqli_query($con, $l_sql);
    $l_rows = mysqli_fetch_assoc($l_run);

    $uidDB = $l_rows['uid'];
    $unameDB = $l_rows['uname'];
    $uphoneDB = $l_rows['uphone'];
    $upassDB = $l_rows['upass'];
    $utypeDB = $l_rows['utype'];
    $urefDB = $l_rows['uref'];

    if ($uphone == $uphoneDB) {

        if ($upass == $upassDB) {
            $_SESSION["uid"] = $uidDB;
            $_SESSION["utype"] = $utypeDB;
            $_SESSION["uname"] = $unameDB;
            $_SESSION["uref"] = $urefDB;

            if ( $utypeDB == 'master_admin' ) {
                header('Location: user1/');
                exit();
            }
            elseif ( $utypeDB == 'basic_lvl_admin' ) {
                header('Location: user2/');
                exit();
            }
            elseif ( $utypeDB == 'member' ) {
                header('Location: user3/');
                exit();
            }
        }
        else {
            ?>
            <script>
                alert("Wrong Password");
            </script>
            <?php
        }
    }
    else {
        ?>
        <script>
            alert("No acount Found");
        </script>
        <?php
    }
}
if(isset($_POST['reset_pass'])) {

    $uphone = mysqli_real_escape_string($con, strip_tags($_POST['uphone']));

    $l_sql = "SELECT uphone, upass FROM users WHERE uphone = '$uphone'";
    $l_run = mysqli_query($con, $l_sql);
    $l_rows = mysqli_fetch_assoc($l_run);

    $uphoneDB = $l_rows['uphone'];
    $upassDB = $l_rows['upass'];

    if ($uphone == $uphoneDB) {

        $api_key = '45899D6EF8D236';
        $contacts = $uphoneDB;
        $from = 'DIGIXT';
        $sms_text = urlencode('Password to Recover your Acount is '.$upassDB.'. Do not share with anyone.');

        //Submit to server

        $ch = curl_init();
        curl_setopt($ch,CURLOPT_URL, "http://manage.sambsms.com/app/smsapi/index.php");
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, "key=".$api_key."&campaign=0&routeid=7&type=text&contacts=".$contacts."&senderid=".$from."&msg=".$sms_text);
        $response = curl_exec($ch);
        curl_close($ch);
        echo $response;

        header("Location: index.php");
        exit();
    }
    else {
        ?>
        <script>
            alert("No acount Found");
        </script>
        <?php
    }
}

ob_end_flush();

?>